2015-08-23 14:41  NiLuJe

	* [r12287] src/install.sh:
	  
	  Kindle Hacks:
	  * Make sure xzdec is executable before trying to launch it in install
	  scripts....
	  Oooops. Fixes installation on a number of setups.

2015-08-20 16:50  NiLuJe

	* [r12267] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-08-18 21:44  NiLuJe

	* [r12249] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v5.16.N
	  * Python:
	  * Tag v0.14.N
	  * ScreenSavers:
	  * Tag v0.47.N
	  * USBNetwork:
	  * Tag v0.57.N

2015-08-18 20:14  NiLuJe

	* [r12247] src/extensions/linkfonts/menu.json:
	  
	  Kindle Hacks:
	  * Fix some K5 device checks to handle the KV/KT2/PW3 in various KUAL
	  menus

2015-08-18 16:19  NiLuJe

	* [r12244] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Wow. That was another amazing typo. >_<"

2015-08-18 15:56  NiLuJe

	* [r12242] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Don't clutter the src packages with an arm zxdec binary

2015-08-18 15:41  NiLuJe

	* [r12241] README:
	  
	  Kindle Hacks:
	  * Update credits for xzdec :).

2015-08-18 15:25  NiLuJe

	* [r12237] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Oops, forgot the K4 xzdec binary ;).

2015-08-18 15:21  NiLuJe

	* [r12236] src/build-updates.sh, src/install.sh:
	  
	  Kindle Hacks:
	  * Switch from bzip2 archives to xz archives. Smaller, faster, better.
	  :).

2015-08-16 10:33  NiLuJe

	* [r12203] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so, src/linkfonts/lib/libexpat.so.1,
	  src/linkfonts/lib/libfontconfig.so.1,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/libharfbuzz.so.0, src/linkfonts/lib/libz.so.1,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (TC update)

2015-08-14 09:39  NiLuJe

	* [r12137] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-07-30 06:39  NiLuJe

	* [r12103] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so, src/linkfonts/lib/libexpat.so.1,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-07-27 03:04  NiLuJe

	* [r12097] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libfontconfig.so.1,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-07-25 22:22  NiLuJe

	* [r12089] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * ScreenSavers:
	  * Disable FC shards when disabling the Fonts hack through KUAL on FW
	  5.x

2015-07-25 18:36  NiLuJe

	* [r12086] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock:
	  
	  And a final round of VSN keyword pruning...

2015-07-25 18:30  NiLuJe

	* [r12084] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Fix some more nonsensical keywords on binary files...

2015-07-25 17:45  NiLuJe

	* [r12080] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libfontconfig.so.1,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-06-13 14:57  NiLuJe

	* [r12025] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libfontconfig.so.1,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-06-05 22:17  NiLuJe

	* [r12019] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libfontconfig.so.1,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  • Refresh binaries

2015-05-31 01:14  NiLuJe

	* [r12014] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/libfontconfig.so.1:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-05-25 18:33  NiLuJe

	* [r12003] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libfontconfig.so.1,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-05-08 15:42  NiLuJe

	* [r11977] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v5.15.N
	  * Python:
	  * Tag v0.13.N
	  * ScreenSavers:
	  * Tag v0.46.N
	  * USBNet:
	  * Tag v0.56.N

2015-05-07 22:32  NiLuJe

	* [r11963] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so, src/linkfonts/lib/libexpat.so.1,
	  src/linkfonts/lib/libfontconfig.so.1,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/libharfbuzz.so.0, src/linkfonts/lib/libz.so.1,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Update binaries (updated TC)

2015-05-01 02:02  NiLuJe

	* [r11924] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so, src/linkfonts/lib/libexpat.so.1,
	  src/linkfonts/lib/libfontconfig.so.1,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/libharfbuzz.so.0, src/linkfonts/lib/libz.so.1,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Update binaries

2015-04-28 19:31  NiLuJe

	* [r11910] src/build-updates.sh:
	  
	  The great shebang enfixening!

2015-03-11 00:58  NiLuJe

	* [r11729] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libfontconfig.so.1,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-03-07 16:23  NiLuJe

	* [r11725] src/linkfonts/bin/fc-scan:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-03-07 01:28  NiLuJe

	* [r11720] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so, src/linkfonts/lib/libexpat.so.1,
	  src/linkfonts/lib/libfontconfig.so.1,
	  src/linkfonts/lib/libfreetype.so.6,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-02-26 19:02  NiLuJe

	* [r11699] src/linkfonts/lib/libfreetype.so.6[ADD],
	  src/linkfonts/lib/libz.so.1[ADD]:
	  
	  Kindle Hacks:
	  * Commit missing binaries

2015-02-26 19:01  NiLuJe

	* [r11698] src/linkfonts/bin/fc-scan:
	  
	  Kindle Hacks:
	  * Refresh binaries (fix fc-scan)

2015-02-26 16:28  NiLuJe

	* [r11696] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * X-TC:
	  * Saner fontconfig rpath handling

2015-02-26 15:41  NiLuJe

	* [r11693] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Shared fc-scan needs libz, too

2015-02-26 13:36  NiLuJe

	* [r11688] src/linkfonts/lib/libharfbuzz.so.0:
	  
	  Kindle Hacks:
	  * Refresh binaries (fix Python)

2015-02-26 03:38  NiLuJe

	* [r11686] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Avoid lbzip2 entirely for stuff that'll be processed on the
	  device...
	  Even without the -u flag, the Kindle's crappy busybox version
	  sometimes
	  chokes on it...

2015-02-26 02:23  NiLuJe

	* [r11684] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libexpat.so.1[ADD],
	  src/linkfonts/lib/libfontconfig.so.1[ADD],
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh bianries...
	  (LTO, AKA, The Breakening!)

2015-02-26 00:41  NiLuJe

	* [r11682] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * X-TC:
	  * Fonts:
	  * Handle shared libexpat/libfontconfig

2015-02-23 23:36  NiLuJe

	* [r11624] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Don't use lbzip2's -u flag: busybox's bzip2 doesn't seem to handle
	  archives created that way...

2015-02-23 22:30  NiLuJe

	* [r11620] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Parallelize compression in buildscripts... (lbzip2, pigz & threaded
	  xz)

2015-02-23 21:03  NiLuJe

	* [r11616] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-02-23 02:18  NiLuJe

	* [r11604] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * refresh binaries (fix readline)

2015-02-22 20:47  NiLuJe

	* [r11589] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Update binaries (misc zsh support)

2015-02-22 14:25  NiLuJe

	* [r11576] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-02-19 23:37  NiLuJe

	* [r11554] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (strace w/ libunwind, Python & SQLite3 w/ readline)

2015-02-18 22:12  NiLuJe

	* [r11545] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Oops. Unified uninstall packages means they ought to be able to run
	  on all the unified devices ;D.

2015-02-18 22:09  NiLuJe

	* [r11544] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Unify uninstall packages when building MRPI-only packages

2015-02-18 21:56  NiLuJe

	* [r11543] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Default to building OTAv2 packages, even for legacy hacks.
	  The downside is they'll only be installable through MRPI.
	  The upside is the packages are seventy billion times smaller,
	  and the mess of seventy billion different update files to
	  choose from is gone.

2015-02-18 21:19  NiLuJe

	* [r11541] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Update binaries (widec ncurses)

2015-02-17 23:35  NiLuJe

	* [r11537] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (Linaro 4.9 2015.02)

2015-02-12 18:23  NiLuJe

	* [r11499] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Update binaries

2015-01-31 19:58  NiLuJe

	* [r11464] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-01-17 20:34  NiLuJe

	* [r11432] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2015-01-05 23:16  NiLuJe

	* [r11332] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-12-18 13:05  NiLuJe

	* [r11252] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaires (updated TC)

2014-12-07 14:22  NiLuJe

	* [r11231] src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Ooops. Fix complete uninstalls. Remove the KUAL extensions *before*
	  the hack folder, or we lose the trigger file ;p

2014-12-02 18:38  NiLuJe

	* [r11218] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Make sure our mounted flags don't disappear into the ether if for
	  some reason an unmount failed at one point

2014-11-28 20:46  NiLuJe

	* [r11172] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-11-25 21:29  NiLuJe

	* [r11168] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-11-23 20:44  NiLuJe

	* [r11150] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Hacks:
	  * Oooh, I can't spell ;).

2014-11-22 18:45  NiLuJe

	* [r11135] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-11-22 16:23  NiLuJe

	* [r11129] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Hacks:
	  * Use a more reliable method to check the current UID,
	  the env cannot be trusted.

2014-11-22 15:30  NiLuJe

	* [r11127] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Hacks:
	  * More safety nets around the FW 5.6.1 mess...

2014-11-17 18:12  NiLuJe

	* [r11112] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Hacks:
	  * Tweak some broken eips calls (invalid chars)

2014-11-14 18:47  NiLuJe

	* [r11072] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-11-07 19:57  NiLuJe

	* [r11046] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-11-07 18:54  NiLuJe

	* [r11043] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Hacks:
	  * Second pass of Kindle Voyage support...

2014-11-06 21:19  NiLuJe

	* [r11036] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Provide some feedback after a fontconfig cache update, to warn the
	  user in case of failures...

2014-11-05 18:09  NiLuJe

	* [r11032] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-10-25 15:20  NiLuJe

	* [r11007] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-10-25 00:45  NiLuJe

	* [r10999] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  • JailBreak:
	  • Tag v0.13.N
	  • Python:
	  • Tag v0.11.N
	  • ScreenSavers;
	  • Tag v0.45.N
	  • Fonts:
	  • Tag v5.14.N
	  • USBNetwork:
	  • Tag v0.55.N

2014-10-25 00:05  NiLuJe

	* [r10996] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-10-18 02:31  NiLuJe

	* [r10971] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-10-06 17:00  NiLuJe

	* [r10950] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-09-27 15:33  NiLuJe

	* [r10933] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-09-05 19:38  NiLuJe

	* [r10916] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-08-26 03:51  NiLuJe

	* [r10853] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (Python w/ SQLite3, DropBear KeepAlive + PuTTy fix)

2014-08-22 21:00  NiLuJe

	* [r10841] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (updated TC)

2014-08-13 18:50  NiLuJe

	* [r10829] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-08-12 03:49  NiLuJe

	* [r10827] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-07-30 04:32  NiLuJe

	* [r10783] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (Updated TC, first GCC 4.9 builds)

2014-07-26 21:30  NiLuJe

	* [r10751] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-07-24 18:31  NiLuJe

	* [r10726] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-07-12 22:55  NiLuJe

	* [r10711] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-07-05 15:12  NiLuJe

	* [r10693] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-06-30 23:59  NiLuJe

	* [r10685] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/libharfbuzz.so.0:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-06-27 01:27  NiLuJe

	* [r10681] src/build-updates.sh, src/install.sh, src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Move everyone to LibOTAUtils

2014-06-24 23:01  NiLuJe

	* [r10662] src/build-updates.sh:
	  
	  Kindle Hacks:
	  • More portability fixes for the build scripts

2014-06-22 04:06  NiLuJe

	* [r10650] src/linkfonts/lib/libharfbuzz.so.0:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-06-18 22:18  NiLuJe

	* [r10617] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-06-18 21:25  NiLuJe

	* [r10613] README:
	  
	  Kindle Hacks:
	  * Update CREDITS for fbgrab, harfbuzz & zlib

2014-06-06 17:30  NiLuJe

	* [r10585] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/libharfbuzz.so.0:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-05-31 00:41  NiLuJe

	* [r10571] src/extensions/linkfonts/menu.json:
	  
	  Kindle Hacks:
	  * Shorten some possibly too long KUAL status messages...

2014-05-26 09:33  NiLuJe

	* [r10562] src/uninstall.sh:
	  
	  Kindle Hacks
	  • Proper logging on full uninstall

2014-05-18 01:10  NiLuJe

	* [r10554] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-05-10 04:32  NiLuJe

	* [r10531] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-04-26 21:15  NiLuJe

	* [r10498] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/libharfbuzz.so.0[ADD],
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (minor updates, and the whole FT w/ HB thing)

2014-04-26 20:54  NiLuJe

	* [r10496] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Make sure fc-scan will find a freetype lib in the directory its
	  rpath points to...

2014-04-26 20:21  NiLuJe

	* [r10495] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Handle harfbuzz properly in preparation of the next set of updated
	  binaries

2014-04-11 13:08  NiLuJe

	* [r10460] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  KUAL Extensions:
	  * gawk:
	  * Tag v1.3.N
	  Kindle Touch Hacks:
	  * JailBreak:
	  * Tag v1.10.N
	  * USBNetwork:
	  * Tag v0.16.N
	  * ScreenSavers:
	  * Tag v0.17.N
	  * Python:
	  * Tag v0.10.N
	  * Fonts:
	  * Tag v0.8.N
	  Kindle Hacks:
	  * JailBreak:
	  * Tag v0.12.N
	  * ScreenSavers:
	  * Tag v0.43.N
	  * Fonts:
	  * Tag v5.13.N
	  * USBNetwork:
	  * Tag v0.54.N
	  * Python:
	  * Tag v0.10.N

2014-04-11 12:12  NiLuJe

	* [r10459] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (Linaro 2014.04)

2014-03-25 06:25  NiLuJe

	* [r10435] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2014-03-15 23:23  NiLuJe

	* [r10420] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (Updated TC)

2014-03-08 23:08  NiLuJe

	* [r10409] src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Remove KUAL extensions in full uninstall mode

2014-03-06 22:40  NiLuJe

	* [r10402] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (bump FT, FC, IM, KindleTool; dropbear)

2014-02-14 17:27  NiLuJe

	* [r10328] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Use Update_*.bin package filenames instead of update_*.bin,
	  to avoid triggering the recovery updater on boot. (thanks, dsmid ;))

2014-02-14 16:58  NiLuJe

	* [r10327] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (Update TC)

2014-01-24 23:51  NiLuJe

	* [r10320] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  • Refresh binaries (updated TC)

2014-01-09 22:55  NiLuJe

	* [r10300] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Update binaries (updated TC)

2014-01-09 21:45  NiLuJe

	* [r10299] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Hacks:
	  * Add a "complete uninstall" button to the KUAL extensions.
	  Makes the uninstallers remove the hack directory from the userstore.

2013-12-23 14:32  NiLuJe

	* [r10248] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2013-12-10 19:05  NiLuJe

	* [r10218] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2013-12-08 02:49  NiLuJe

	* [r10213] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2013-12-03 21:44  NiLuJe

	* [r10196] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Better webreader restart feedback!

2013-12-03 21:40  NiLuJe

	* [r10195] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Add a rewbreader restart button.
	  Helpful when quickly testing font overrides w/ KF8 docs on the PW2.

2013-12-03 19:47  NiLuJe

	* [r10194] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (Update FT, FC, DB, LA, Python)

2013-11-28 19:49  NiLuJe

	* [r10182] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (update FT, FC, silence an OpenSSH warning on the
	  PW2)

2013-11-23 17:53  NiLuJe

	* [r10161] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Switch to --exclude-vcs everywhere

2013-11-23 16:47  NiLuJe

	* [r10158] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (Add PW2 binaries)

2013-11-18 19:39  NiLuJe

	* [r10115] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (TC update)

2013-11-17 16:08  NiLuJe

	* [r10101] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Hacks:
	  * Add a KUAL button to show the exact version of the package
	  installed.
	  It helps with my rolling releases snapshots, for example ;).

2013-11-16 17:16  NiLuJe

	* [r10097] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2013-11-12 17:59  NiLuJe

	* [r10067] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (again, mostly for KindleTool)

2013-11-10 23:42  NiLuJe

	* [r10056] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2013-11-01 00:56  NiLuJe

	* [r10015] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2013-10-17 18:44  NiLuJe

	* [r9974] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Tag v0.42.N
	  * Fonts:
	  * Tag v5.12.N
	  * USBNetwork:
	  * Tag v0.53.N
	  * Python:
	  * Tag v0.8.N

2013-10-17 18:34  NiLuJe

	* [r9971] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (TC update)

2013-10-12 16:12  NiLuJe

	* [r9949] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Shorten an eips message

2013-10-11 22:19  NiLuJe

	* [r9945] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2013-10-05 13:11  NiLuJe

	* [r9914] src/extensions/linkfonts/menu.json:
	  
	  Kindle Hacks:
	  * KUAL extensions:
	  * Detect the PW2

2013-09-25 16:03  NiLuJe

	* [r9888] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2013-09-24 21:49  NiLuJe

	* [r9865] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update FT & FC binaries (update ft & fc)
	  * USBNet:
	  * Bundle the full OpenSSH suite (client & co)
	  * Bundle sshfs (thanks to twobob for the push ;p)

2013-09-20 15:27  NiLuJe

	* [r9848] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * A few minor typos

2013-09-20 14:58  NiLuJe

	* [r9845] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Minor tweaks to the fonts directory migration

2013-09-20 14:52  NiLuJe

	* [r9844] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Recommend using our own fonts directory (linkfonts/fonts), and add a
	  KUAL button to migrate easily & safely

2013-09-20 13:56  NiLuJe

	* [r9843] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries, mainyl for an FT update that fix glyph cropping
	  for emboldened font

2013-09-18 13:27  NiLuJe

	* [r9816] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * USBNetwork:
	  * Tag v0.51.N
	  * Fonts:
	  * Tag v5.11.N
	  * Python:
	  * Tag v0.7.N
	  * ScreenSavers:
	  * Tag v0.40.N

2013-09-18 12:54  NiLuJe

	* [r9811] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (Linaro 4.8 2013.09)

2013-08-16 23:42  NiLuJe

	* [r9735] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Screen Savers:
	  * Tag v0.39.N
	  * Fonts:
	  * Tag v5.10.N
	  * USBNet:
	  * Tag v0.50.N
	  * Python:
	  * Tag v0.6.N

2013-08-16 23:34  NiLuJe

	* [r9734] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so,
	  src/linkfonts/lib/spr/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (Linaro 2013.08)

2013-08-15 15:39  NiLuJe

	* [r9728] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Add a KUAL button to backup default fonts

2013-08-13 19:31  NiLuJe

	* [r9727] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Hacks:
	  * Tweak some comments

2013-08-13 04:30  NiLuJe

	* [r9726] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * More comments

2013-08-13 04:03  NiLuJe

	* [r9725] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Much more detailed comments on the whole trap/upstart thing, before
	  I forget...

2013-08-12 18:27  NiLuJe

	* [r9715] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Fix a typo in a comment

2013-08-12 18:24  NiLuJe

	* [r9714] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Fix our traps in the KUAL restart X/framework buttons to avoid
	  messing with upstart...

2013-08-12 17:35  NiLuJe

	* [r9713] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Throw in a sync for the X restart

2013-08-12 17:33  NiLuJe

	* [r9712] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Make sure the 'restart X' button will reset our hacks
	  (unlink*/link*)

2013-08-12 17:04  NiLuJe

	* [r9711] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Provide a "Restart X" button, which should make it safer to test FT
	  overrides in
	  a more controlled environment than a cold boot.

2013-08-12 16:19  NiLuJe

	* [r9709] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Handle my stupid experiment with SPR/v38 BCI...

2013-08-12 16:10  NiLuJe

	* [r9708] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Exclude the spr lib, it's a crazy dumb experiment

2013-08-12 05:26  NiLuJe

	* [r9707] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/spr/libfreetype.so[ADD]:
	  
	  Kindle Hacks:
	  * Commit slightly saner binaries

2013-08-12 04:55  NiLuJe

	* [r9706] src/linkfonts/lib/spr[ADD]:
	  
	  Kindle Touch Hacks:
	  * Yay, another build, sponsored by 'It's 6AM, let's try something dumb
	  & crazy!'

2013-08-12 04:09  NiLuJe

	* [r9704] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Binary refreshes, without the crazy FT patch.

2013-08-11 18:14  NiLuJe

	* [r9697] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Tweak the doc some more

2013-08-04 17:29  NiLuJe

	* [r9655] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * More comment about the whole progress bar thing, before I forget.

2013-08-02 23:36  NiLuJe

	* [r9651] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Properly increment the progress bar when triggering a framework
	  restart through KUAL

2013-08-02 21:23  NiLuJe

	* [r9650] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Apparently, we need to handle the progress bar ourselves...

2013-08-02 21:03  NiLuJe

	* [r9647] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Show the progress bar splash screen when we trigger a framework
	  restart

2013-08-02 01:38  NiLuJe

	* [r9634] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Don't update the fontconfig cache on the 'Restart framework' button.
	  (We have an 'Update fontconfig cache' button for that).

2013-08-01 23:40  NiLuJe

	* [r9632] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Always run fc-cache -f, don't rely on a crappy custom check
	  * Start on framework starts, too, to catch framework restarts after a
	  framework crash...

2013-07-31 17:12  NiLuJe

	* [r9624] src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Avoid fc-scan trying to rebuild a different fc cache (different
	  format,
	  since our fc-scan is far more recent than the bundled fc lib) with the
	  latest builds...

2013-07-31 15:16  NiLuJe

	* [r9621] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (Linaro 4.8-2013.07-1)

2013-07-31 14:35  NiLuJe

	* [r9620] src/extensions/linkfonts/menu.json:
	  
	  Kindle Touch Hacks:
	  * Reflect the new K5 autoreboot default in the menu & docs

2013-07-31 14:22  NiLuJe

	* [r9618] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Hacks:
	  * Add a framework restart button to the Fonts & SS KUAL menus

2013-07-31 13:01  NiLuJe

	* [r9615] src/extensions/linkfonts/menu.json:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Make the FT override buttons slightly less cryptic

2013-07-31 02:04  NiLuJe

	* [r9612] src/extensions/linkfonts/menu.json:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Now that I know it works, make the fc cache update + framework
	  restart less cryptic

2013-07-31 00:29  NiLuJe

	* [r9604] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Tweak an eips message

2013-07-31 00:19  NiLuJe

	* [r9603] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Add a KUAL suicide button that refreshes the custom fc cache...

2013-07-30 01:50  NiLuJe

	* [r9577] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Some more fontconfig cache utils...

2013-07-29 23:29  NiLuJe

	* [r9571] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Install the appropriate fontconfig shard for soft bci/light/autohint
	  settings

2013-07-29 23:23  NiLuJe

	* [r9570] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries, fix fc-scan

2013-07-29 02:42  NiLuJe

	* [r9558] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Touch Hacks:
	  * Fonts:
	  * Add K5 stuff to the KUAL extension

2013-07-24 16:29  NiLuJe

	* [r9540] src/build-updates.sh, src/linkfonts/bin/usb-watchdog[DEL],
	  src/linkfonts/bin/usb-watchdog-helper[DEL]:
	  
	  Kindle Hacks:
	  * Move usb-watchdog to common, so I only have one copy to maintain

2013-07-24 16:23  NiLuJe

	* [r9539] src/build-updates.sh, src/linkfonts/bin/libkh[DEL]:
	  
	  Kindle Hacks:
	  * Move libkh to a common directory, so I don't have eleventy copies to
	  maintain

2013-07-18 17:09  NiLuJe

	* [r9529] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2013-07-18 15:49  NiLuJe

	* [r9525] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries

2013-07-16 16:00  NiLuJe

	* [r9509] src/extensions/linkfonts/bin/linkfonts.sh,
	  src/extensions/linkfonts/menu.json:
	  
	  Kindle Hacks:
	  * Honor the verbose flag in the KUAL scripts, now that the custom
	  status print works
	  in the latest KUAL snapshots.

2013-07-14 02:47  NiLuJe

	* [r9499] src/install.sh:
	  
	  Kindle Hacks:
	  * Keep the current autoreboot config when updating

2013-07-13 19:40  NiLuJe

	* [r9487] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * X-TC:
	  * Tag v2013.07.N
	  * ScreenSavers:
	  * Tag v0.38.N
	  * Fonts:
	  * Tag v5.9.N
	  * Python:
	  * Tag v0.5.N
	  * USBNetwork:
	  * Tag v0.49.N
	  Kindle Touch Hacks:
	  * Python:
	  * Tag v0.5.N
	  * ScreenSavers:
	  * Tag v0.11.N
	  * USBNetwork:
	  * Tag v0.9.N

2013-07-13 18:21  NiLuJe

	* [r9486] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh binaries (Bump to TC Linaro 2013.07)

2013-07-07 04:01  NiLuJe

	* [r9450] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Same thing, avoid a too long eips print

2013-07-04 22:24  NiLuJe

	* [r9428] src/linkfonts/bin/fc-scan:
	  
	  Kindle Hacks:
	  * Refresh binaries (update FC snapshot)

2013-07-02 17:24  NiLuJe

	* [r9409] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * refresh binaries (update ft, fc & libarchive)

2013-07-01 22:04  NiLuJe

	* [r9390] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * USBNetwork:
	  * Tag v0.48.N
	  * Python:
	  * Tag v0.4.N
	  * ScreenSavers:
	  * Tag v0.35.N
	  * Fonts:
	  * Tag v5.8.N

2013-07-01 20:42  NiLuJe

	* [r9386] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * KUAL: Fix a few c/p typos

2013-07-01 20:32  NiLuJe

	* [r9385] src/extensions/linkfonts/bin/linkfonts.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Oops, fix a nasty typo in the KUAL script

2013-07-01 20:28  NiLuJe

	* [r9384] src/extensions/linkfonts/menu.json:
	  
	  Kindle Hacks:
	  * KUAL: Fix -m tests (I still suck at RPN ;D)

2013-07-01 18:35  NiLuJe

	* [r9380] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Some minor tweaks to the new watchdog traps

2013-07-01 18:06  NiLuJe

	* [r9379] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Bundle & install KUAL extension

2013-07-01 18:04  NiLuJe

	* [r9378] src/extensions[ADD], src/extensions/linkfonts[ADD],
	  src/extensions/linkfonts/bin[ADD],
	  src/extensions/linkfonts/bin/linkfonts.sh[ADD],
	  src/extensions/linkfonts/config.xml[ADD],
	  src/extensions/linkfonts/menu.json[ADD]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Poof! A wild KUAL extension appears!

2013-07-01 01:30  NiLuJe

	* [r9370] src/linkfonts/bin/usb-watchdog:
	  
	  Kindle Hacks:
	  * Fix a typo in the comments

2013-07-01 01:24  NiLuJe

	* [r9368] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts,
	  src/linkfonts/bin/usb-watchdog:
	  
	  Kindle Hacks:
	  * Be more gentle when killing stuff (SIGTERM instead of SIGKILL) to
	  let the
	  trap handlers we've laid handle some minor cleanup...

2013-06-24 23:18  NiLuJe

	* [r9330] src/build-updates.sh, src/install.sh,
	  src/linkfonts/bin/linkfonts, src/linkfonts/lib/bci_new[DEL]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Get rid of the bci_new ft lib, now that it's redundant
	  (FT dropped support for OLD_INTERNALS, and I can't
	  reproduce any of the issues that led me to using it in the first
	  place)

2013-06-24 20:15  NiLuJe

	* [r9325] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Make all build scripts automatically bomb out on non 0 return codes,
	  so I can safely catch
	  snafus during my full rebuilds...

2013-06-24 19:39  NiLuJe

	* [r9322] src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Make the uninstall hint in the info.txt a little bit clearer,
	  following a suggestion
	  by mitakka
	  (http://www.mobileread.com/forums/showpost.php?p=2447890&postcount=3026)

2013-06-23 21:58  NiLuJe

	* [r9314] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/bci_new/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Update ALL THE THINGS!

2013-04-26 16:52  NiLuJe

	* [r9096] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * Detect the Brazilian 3G PaperWhite as such

2013-01-29 15:47  NiLuJe

	* [r9049] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * Resync libkh with libkh5 (PW detect)

2013-01-21 22:51  NiLuJe

	* [r9038] src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Oops. Forgot to update the info.txt files. -_-"

2013-01-19 21:10  NiLuJe

	* [r9036] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * USBNetwork:
	  * Tag v0.47.N
	  * Fonts:
	  * Tag v5.7.N
	  * ScreenSavers:
	  * Tav v0.34.N

2013-01-19 20:58  NiLuJe

	* [r9035] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/bci_new/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Update binaries (updated TC)

2012-11-15 23:23  NiLuJe

	* [r8953] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Tag v0.32.N
	  * Fonts:
	  * Tag v5.6.N
	  * USBNetwork:
	  * Tag v0.46.N
	  * Python:
	  * Tag v0.2.N

2012-11-15 22:58  NiLuJe

	* [r8952] src/linkfonts/bin/shlock:
	  
	  Kindle Hacks:
	  * TC update. (Bump FT, FC, KT, coreutils, mosh, htop)

2012-11-15 18:23  NiLuJe

	* [r8946] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/bci_new/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * X-TC:
	  * Fix coreutils-8.20 build

2012-11-13 16:02  NiLuJe

	* [r8934] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Disable update traps

2012-11-10 02:17  NiLuJe

	* [r8900] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Use the new aliases for the whole K4 & K5 model range in every build
	  script

2012-11-09 14:31  NiLuJe

	* [r8885] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * Add 5.3 to the version detect code

2012-11-07 17:18  NiLuJe

	* [r8870] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Add Python to the whitelists

2012-10-25 18:27  NiLuJe

	* [r8762] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * Detect the UK 3G PW

2012-10-16 15:21  NiLuJe

	* [r8700] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * Propagate the latest S/N matching changes

2012-10-15 22:55  NiLuJe

	* [r8697] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * Fix a stupid bug in model detection via S/N matching:
	  The S/N aren't in base16, they're in base32hex!
	  (at the very least, I might need some more data to confirm that...)

2012-10-12 17:43  NiLuJe

	* [r8694] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v5.5.N
	  * ScreenSavers:
	  * Tag v0.30.N
	  * USBNetwork:
	  * tag v0.44.N

2012-10-12 03:41  NiLuJe

	* [r8688] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/bci_new/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Update binaries (Update TC, FT, FC, KT, mosh)

2012-10-04 02:06  NiLuJe

	* [r8655] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * Update S/N based model detection logic to handle the US PW ids

2012-10-01 17:36  NiLuJe

	* [r8648] src/linkfonts/bin/usb-watchdog,
	  src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts/SS:
	  * Use lipc-wait-event instead of dbus-monitor to catch the usbPlugOut
	  event

2012-09-22 18:23  NiLuJe

	* [r8623] ChangeLog[DEL]:
	  
	  Kindle Hacks:
	  * Move ChangeLog generation to the packaging script

2012-09-22 17:53  NiLuJe

	* [r8617] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * Resync libkh

2012-09-20 17:00  NiLuJe

	* [r8600] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * Resync libkh

2012-09-20 16:44  NiLuJe

	* [r8599] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * libkh:
	  * Revamp the kindle model/version checking (don't chain grep for no
	  good reason)

2012-09-20 02:31  NiLuJe

	* [r8598] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-09-20 01:56  NiLuJe

	* [r8596] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-09-19 21:38  NiLuJe

	* [r8583] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-09-19 21:18  NiLuJe

	* [r8580] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-09-19 00:04  NiLuJe

	* [r8572] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-09-18 22:58  NiLuJe

	* [r8565] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/bci_new/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh K3 binaries (updated libarchive & freetype)

2012-09-16 20:48  NiLuJe

	* [r8556] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL :)

2012-09-16 20:47  NiLuJe

	* [r8555] src/install.sh, src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * We don't need to backup the default FT lib anymore, we killed the
	  browser workaround

2012-09-16 20:30  NiLuJe

	* [r8554] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-09-16 20:30  NiLuJe

	* [r8553] src/build-updates.sh, src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Bundle stuff in tbz2 to save some space...

2012-09-16 20:10  NiLuJe

	* [r8550] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-09-16 19:58  NiLuJe

	* [r8547] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v5.4.N

2012-09-16 19:57  NiLuJe

	* [r8546] src/build-updates.sh, src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Plug the new 'bci_new' FT override

2012-09-16 19:53  NiLuJe

	* [r8545] src/install.sh, src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Kill the whole browser workaround thing, turns out it's not needed
	  once we handle stuff properly ;D

2012-09-16 17:53  NiLuJe

	* [r8542] src/linkfonts/bin/fc-scan, src/linkfonts/lib/bci_new[ADD],
	  src/linkfonts/lib/bci_new/libfreetype.so[ADD]:
	  
	  Kindle Hacks:
	  * Refresh binaries for an experiment in FT libs...

2012-09-16 17:52  NiLuJe

	* [r8541] src/linkfonts/bin/libkh, src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Use the correct, older local.conf template on FW <= 3.3

2012-09-16 04:03  NiLuJe

	* [r8539] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Stupid typo.

2012-09-16 03:58  NiLuJe

	* [r8538] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-09-16 03:58  NiLuJe

	* [r8537] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Don't disable the browser/kf8 tweaks during an upgrade ;)

2012-09-16 03:42  NiLuJe

	* [r8535] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-09-16 03:17  NiLuJe

	* [r8533] src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * More cache timestamp trickery...

2012-09-16 03:12  NiLuJe

	* [r8532] src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Unmount local.conf when refreshing fontconfig stuff during an
	  autoreboot, to avoid breakage :)

2012-09-16 02:59  NiLuJe

	* [r8531] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v5.3.N
	  * ScreenSavers:
	  * Tag v0.29.N

2012-09-16 02:39  NiLuJe

	* [r8529] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Don't horribly break the KF8 reader when doing an autoreboot with
	  fontconfig changes...

2012-09-16 02:17  NiLuJe

	* [r8528] src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Make sure our fontconfig config isn't stale after a hack upgrade

2012-09-16 02:09  NiLuJe

	* [r8527] src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Properly refresh fontconfig cache & settings after an official/hack
	  update

2012-09-16 01:02  NiLuJe

	* [r8524] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-09-15 21:57  NiLuJe

	* [r8520] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Slightly less stupid K4 packaging logic

2012-09-15 21:51  NiLuJe

	* [r8517] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v5.2.N

2012-09-15 20:17  NiLuJe

	* [r8510] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Refresh K3 binaries (updated TC)
	  * ScreenSavers:
	  * Updated coreutils
	  * USBNetwork:
	  * Updated KindleTool
	  * Updated htop
	  * Updated busybox
	  * Updated OpenSSH
	  * Updated lsof
	  * Fonts:
	  * Updated FreeType
	  * Updated FontConfig

2012-09-12 22:47  NiLuJe

	* [r8476] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Be consistent on the lowercase/uppercase Kindle nicknames...

2012-09-12 22:43  NiLuJe

	* [r8475] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-09-12 22:43  NiLuJe

	* [r8474] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Build K4 2K12 friendly K4 packages... :)

2012-09-11 20:57  NiLuJe

	* [r8463] src/linkfonts/etc/local.conf.template,
	  src/linkfonts/etc/local.conf.template-4:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Huh. DOS line endings are evil.

2012-09-11 20:08  NiLuJe

	* [r8462] src/linkfonts/bin/linkfonts,
	  src/linkfonts/etc/local.conf.template[ADD], src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Actually add the fixed config file for FW 3.4 -_-"
	  * Be a little more thorough in removing our stuff outside of the
	  userstore in the uninstall script

2012-09-11 17:29  NiLuJe

	* [r8461] src/linkfonts/etc/local.conf.template[DEL],
	  src/linkfonts/etc/local.conf.template-3.3[CPY]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update browser font switch for FW 3.4 (untested)

2012-06-18 16:22  NiLuJe

	* [r8223] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-06-18 16:21  NiLuJe

	* [r8222] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Go back to non-LTO binaries, to avoid stuff blowing up in the middle
	  of execution because of bad code generation, like I encountered with
	  OpenSSH... ;).

2012-06-18 15:01  NiLuJe

	* [r8218] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-06-18 15:00  NiLuJe

	* [r8217] src/linkfonts/bin/shlock:
	  
	  Kindle Hacks:
	  * USBNetwork:
	  * More LTO fixes & LTO binaries ;)

2012-06-18 02:32  NiLuJe

	* [r8204] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * USBNet:
	  * Support OpenSSH (with a setting to use it instead of dropbear)

2012-06-17 13:23  NiLuJe

	* [r8197] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Rebuild binaries with LTO...

2012-06-16 04:04  NiLuJe

	* [r8192] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-06-16 03:17  NiLuJe

	* [r8188] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-06-16 03:05  NiLuJe

	* [r8185] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * USBNet & Fonts & ScreenSavers:
	  * Package the right set of binaries when building the K4 packages

2012-06-16 01:58  NiLuJe

	* [r8183] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-06-16 01:58  NiLuJe

	* [r8182] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Don't even try to build the K4 packages if KindleTool isn't
	  installed

2012-06-15 16:17  NiLuJe

	* [r8177] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Update all the binaries (built with proper LDFLAGS)

2012-06-15 00:18  NiLuJe

	* [r8171] README:
	  
	  Kindle Hacks:
	  * Update the credits in the docs for the new binaries :)

2012-06-14 21:53  NiLuJe

	* [r8164] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Here we go, softfp binaries... (sftp-server is still borken, pulling
	  a glibc 2.8 symbol)

2012-06-14 04:34  NiLuJe

	* [r8155] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Updated binaries (Updated TC, FT, FC)
	  * ScreenSavers:
	  * Updated binaries (Updated TC, coreutils)
	  * USBNet:
	  * Updated binaries (Updated TC, busybox, OpenSSH)
	  * Added mosh binaries (not installed yet)
	  * Added a kindletool binary (not installed yet)
	  **!!** These are built with a hardfloat TC, and require the
	  ld-linux-hardf dynamic loader, so, err, don't run these on your
	  Kindle, it won't work.
	  I'll rebuild everything with a softfp TC tomorrow :)

2012-06-07 05:09  NiLuJe

	* [r8137] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-06-07 05:08  NiLuJe

	* [r8136] src/linkfonts/bin/libkh, src/linkfonts/bin/update-fontconfig,
	  src/linkfonts/etc/local.conf.template-4[ADD]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Make a better attempt at not breaking the browser/KF8 (I imagine) on
	  the K4...

2012-06-06 21:31  NiLuJe

	* [r8134] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-06-06 20:35  NiLuJe

	* [r8132] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * *sigh* Fix K4 packages.

2012-06-06 20:30  NiLuJe

	* [r8131] src/build-updates.sh, src/linkfonts/bin/libkh,
	  src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Hackish dry-coded K4 support
	  (untested, it may very well blow stuff up,
	  and it's not using binaries optimized for the new CPU)
	  * Tag v5.1.N

2012-04-28 21:59  NiLuJe

	* [r8079] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Oops, forgot the update_ prefix when building with kindletool...

2012-04-28 21:47  NiLuJe

	* [r8078] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Update buildscripts to use kindletool (if possible) if it's
	  installed (in $PATH)

2012-04-27 02:33  NiLuJe

	* [r8073] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * SS & Fonts:
	  * Update fallback whitelist

2012-03-18 22:44  NiLuJe

	* [r7993] src/linkfonts/bin/fc-scan:
	  
	  Kindle Hacks:
	  * X-TC:
	  * Fix fontconfig build
	  * Fonts:
	  * Update fc-scan binary (update fc & tc)

2012-03-18 21:52  NiLuJe

	* [r7991] src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update FT & FC libs (bump ft, fc & TC)
	  * ScreenSavers:
	  * Update binaries (update TC)
	  * USBNetwork:
	  * Update binaries (update TC)

2012-03-07 00:08  NiLuJe

	* [r7979] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-03-03 01:59  NiLuJe

	* [r7973] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-03-03 01:59  NiLuJe

	* [r7972] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v5.0.N
	  * ScreenSavers:
	  * Tag v0.26.N
	  * USBNetwork:
	  * Tag v0.36.N

2012-03-03 00:18  NiLuJe

	* [r7968] README, src/install.sh, src/linkfonts/fonts/CJK.ttf:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update Droid Fallback

2012-03-02 23:56  NiLuJe

	* [r7967] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2012-03-02 23:48  NiLuJe

	* [r7966] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * X-TC:
	  * Fix a few things
	  * Updated binaries for everything, yay!

2012-01-09 02:33  NiLuJe

	* [r7870] src/install.sh:
	  
	  Kindle Hacks:
	  * Restore usage of proper options syntax for tar, we never know how
	  buggy the Kindle's one might be ;)

2012-01-09 02:23  NiLuJe

	* [r7869] src/install.sh:
	  
	  Kindle Hacks:
	  * Check for failures after extracting our custom directory in /tmp...
	  (Not sure if we caught failures here before, because of a full tmpfs
	  for example).

2011-11-29 19:53  NiLuJe

	* [r7775] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JB/Fonts/SS:
	  * Update whitelist

2011-11-24 22:13  NiLuJe

	* [r7771] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * X-Compile:
	  * Bump htop patchset, refresh logs
	  * Fonts:
	  * Update ft/fc/shlock binaries (updated TC)
	  * SS:
	  * Update fc/shlock binaries (updated TC)
	  * USBNetwork:
	  * Update sftp-server binary (updated TC)
	  * Update lsof binary (updated patchset, updated TC)
	  * Updated dropbearmulti binary (bump dropbear to 2011.54, updated TC)
	  * Updated htop binary (bump htop to 1.0, updated TC)
	  * Updated busybox binary (bump busybox to 1.19.3, updated TC)
	  * Updated rsync binary (updated TC)

2011-11-19 01:19  NiLuJe

	* [r7740] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Update whitelist
	  * USBNetwork:
	  * Add note about having to tweak the HW address when using multiple
	  Kindles

2011-10-19 02:28  NiLuJe

	* [r7677] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-10-19 02:28  NiLuJe

	* [r7676] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Cut down some more on verbose logging spam

2011-10-19 02:08  NiLuJe

	* [r7675] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-10-19 01:59  NiLuJe

	* [r7674] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts,
	  src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Quiet some kh_msg down when in verbose mode to cut down on the
	  flood.

2011-10-19 01:28  NiLuJe

	* [r7672] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * libkh:
	  * Add a note regarding late eips prints on Kill runlevels.

2011-10-19 00:15  NiLuJe

	* [r7670] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-10-19 00:14  NiLuJe

	* [r7669] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Tag v0.10.N
	  * Fonts:
	  * Tag v4.9.N
	  * ScreenSavers:
	  * Tag v0.25.N
	  * USBnetwork:
	  * Tag v0.35.N

2011-10-19 00:11  NiLuJe

	* [r7668] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * USBNetwork:
	  * Use libkh

2011-10-18 23:55  NiLuJe

	* [r7666] src/linkfonts/bin/libkh,
	  src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Use libkh

2011-10-18 23:27  NiLuJe

	* [r7665] src/linkfonts/bin/libkh:
	  
	  Kindle Hacks:
	  * libkh:
	  * Let eips handle unprintable characters & overlong strings (avoid a
	  few forks)

2011-10-18 23:23  NiLuJe

	* [r7664] src/linkfonts/bin/libkh[ADD], src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/unlinkfonts, src/linkfonts/bin/update-fontconfig,
	  src/linkfonts/bin/usb-watchdog, src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Implement & use a new helper lib that handles common
	  constants/vars/funcs,
	  and implement a new custom logging func, with optionnal eips printing
	  (if the trigger file
	  $hackdir/verbose is present).

2011-10-17 23:49  NiLuJe

	* [r7660] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Go Back to -O2 binaries, they're still faster :) (Update benchmarks)

2011-10-17 22:56  NiLuJe

	* [r7659] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Test -Ofast builds for benchmarking purposes

2011-10-17 22:22  NiLuJe

	* [r7658] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update FT libs, shlock & fc-scan binaries (updated TC)
	  * ScreenSavers:
	  * Update shlock & sort binaries (updated TC)
	  * USBNetwork:
	  * Update sftp-server, lsof, dropbear, htop, busybox, lsof, rsync
	  binaries (updated TC)
	  * x-compile:
	  * Use parallel make when possible

2011-10-17 05:07  NiLuJe

	* [r7650] src/linkfonts/bin/usb-watchdog:
	  
	  Kidle Hacks:
	  * Fonts/SS:
	  * Give up on the USB watchdog after 15s. Reset fail counter on
	  success.
	  * Update TODO for tomorrow.

2011-10-17 02:13  NiLuJe

	* [r7645] src/linkfonts/bin/usb-watchdog:
	  
	  Kindle Hacks:
	  * SS/Fonts:
	  * Fix typos in the usb watchdog comments

2011-10-17 02:04  NiLuJe

	* [r7644] src/linkfonts/bin/usb-watchdog:
	  
	  Kindle Hacks:
	  * Fonts/ScreenSavers:
	  * Avoid flooding the logs if for some reason the usb watchdog loop
	  can't find
	  its helper script (removed/corrupt link*/bin folder while the hack is
	  still installed/running?)
	  and give up trying after 2 min.

2011-10-17 01:13  NiLuJe

	* [r7643] src/linkfonts/bin/usb-watchdog:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Check that we still have a watchdog helper when trying to keep the
	  usb watchdog up.
	  (If for some unfathomable reason someone decided to kill part of the
	  linkfonts folder while the
	  hack is still installed...)

2011-10-11 16:16  NiLuJe

	* [r7634] README:
	  
	  Kindle Hacks:
	  * Update some copyright years in the credits

2011-10-11 16:03  NiLuJe

	* [r7633] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-10-11 16:02  NiLuJe

	* [r7632] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JailBreak, Fonts, ScreenSavers:
	  * Update whitelist

2011-10-06 02:11  NiLuJe

	* [r7629] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JailBreak, Fonts & ScreenSavers:
	  * Update JB whitelist

2011-09-24 00:39  NiLuJe

	* [r7603] src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Print a status message when rebuilding fontconfig cache,
	  since it can take such a crapload of time.

2011-09-20 04:32  NiLuJe

	* [r7601] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-09-17 23:58  NiLuJe

	* [r7596] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-09-17 23:37  NiLuJe

	* [r7594] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update FT libs (FT update)
	  * ScreenSavers:
	  * Update sort binary (coreutils update)
	  * USBNetwork:
	  * Update resync binary (rsync update)
	  * x-compile:
	  * Small fixes to make sure evrything builds :)

2011-09-10 18:24  NiLuJe

	* [r7574] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-09-10 18:19  NiLuJe

	* [r7572] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-09-10 18:02  NiLuJe

	* [r7571] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts, SS:
	  * Only show the "shuffling screensavers" status during an autoreboot
	  if we're *actually* suffling screensavers ;).

2011-09-10 17:56  NiLuJe

	* [r7570] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Tag v0.9.N
	  * Fonts:
	  * Tag v0.4.8.N
	  * ScreenSavers:
	  * Tag v0.24.N
	  * Update MR thread

2011-09-10 17:49  NiLuJe

	* [r7569] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Tweak the watchdog to provide visual feedback through eips when
	  triggering an autoreboot.

2011-09-05 14:43  NiLuJe

	* [r7553] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-09-05 01:52  NiLuJe

	* [r7550] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-09-04 18:47  NiLuJe

	* [r7548] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-08-25 17:49  NiLuJe

	* [r7540] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-08-25 17:31  NiLuJe

	* [r7537] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Update whitelist (and put the blank last line back, *sigh*)
	  * ScreenSavers & Fonts:
	  * Update fallback whitelist

2011-08-24 15:29  NiLuJe

	* [r7536] src/install.sh, src/linkfonts/fonts/CJK.ttf,
	  src/linkfonts/fonts/I18N.ttf, src/linkfonts/fonts/Mono_Bold.ttf,
	  src/linkfonts/fonts/Mono_BoldItalic.ttf,
	  src/linkfonts/fonts/Mono_Italic.ttf,
	  src/linkfonts/fonts/Mono_Regular.ttf,
	  src/linkfonts/fonts/Sans_Bold.ttf,
	  src/linkfonts/fonts/Sans_BoldItalic.ttf,
	  src/linkfonts/fonts/Sans_Italic.ttf,
	  src/linkfonts/fonts/Sans_Regular.ttf,
	  src/linkfonts/fonts/Serif_Bold.ttf,
	  src/linkfonts/fonts/Serif_BoldItalic.ttf,
	  src/linkfonts/fonts/Serif_Italic.ttf,
	  src/linkfonts/fonts/Serif_Regular.ttf:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update the Droid font families
	  * Update the DejaVu font families

2011-08-22 00:53  NiLuJe

	* [r7533] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2011-08-22 00:48  NiLuJe

	* [r7531] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update FT libs (Update TC, FT)
	  * Update shlock bin (TC update)
	  * Update fc-scan bin (Update TC, FC)
	  * ScreenSavers:
	  * Update shlock & sort bins (TC update)
	  * USBNet:
	  * Update rsync bin (Update TC, rsync)
	  * Update busybox bin (Update TC, busybox)
	  * Update sftp-server, lsof, dropbearmulti & htop bins (TC update)

2011-07-26 02:49  NiLuJe

	* [r7514] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Only shuffle screensavers on auto-restarts when the 'shuffle'
	  trigger file
	  is present, instead of the default 'random' one. (In order to avoid
	  potential long delays before the framework actually restarts, if
	  there's
	  a whole bunch of screensavers to move around and the cache is cold)

2011-07-02 15:06  NiLuJe

	* [r7496] src/kindle_update_tool.py:
	  
	  Kindle Hacks:
	  * Update Tool:
	  * Tag v0.12
	  * Hacks:
	  * Use update tool 0.12

2011-06-15 03:25  NiLuJe

	* [r7481] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v4.7.N
	  * ScreenSavers:
	  * Tag v0.23.N

2011-06-15 03:23  NiLuJe

	* [r7480] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * ScreenSavers & Fonts:
	  * Shuffle screensavers on USB watchdog triggered framework restarts,
	  too.

2011-05-09 04:20  NiLuJe

	* [r7453] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JB & co:
	  * Update whielist/fallback whitelist.

2011-05-03 18:10  NiLuJe

	* [r7450] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-04-20 17:02  NiLuJe

	* [r7433] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-04-20 17:01  NiLuJe

	* [r7432] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Tag JB v0.7.N, SS v0.22.N, Fonts v4.6.N

2011-04-20 16:57  NiLuJe

	* [r7431] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * When checking an update file name against the whitelist,
	  don't always assume it will be in the form name_*.bin...
	  (ie. with that extra underscore there). Fix a bunch of
	  hacks, most notably yifanlu's 3.1 on K2 stuff ;).
	  Thanks to tekkasit on MR for the report :).

2011-04-19 02:51  NiLuJe

	* [r7421] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-04-19 02:48  NiLuJe

	* [r7420] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * USBNetwork:
	  * Tag v0.33.N
	  * Fonts:
	  * Tag v4.5.N
	  * ScreenSavers:
	  * Tag v0.21.N

2011-04-19 02:38  NiLuJe

	* [r7419] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Update whitelist

2011-04-16 03:43  NiLuJe

	* [r7412] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Hmm, trusty -O2 builds... :}

2011-04-16 03:09  NiLuJe

	* [r7410] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * New binaries, new gcc version (still -O3)

2011-04-15 20:23  NiLuJe

	* [r7407] src/linkfonts/bin/fc-scan, src/linkfonts/bin/shlock,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * -O3 binaries. So far, it seems slower...

2011-04-11 02:55  NiLuJe

	* [r7401] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JB, SS, Fonts:
	  * Update whitelist

2011-04-10 00:44  NiLuJe

	* [r7400] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Add KindleNote devkeys to the whitelist
	  * Fonts & ScreenSavers:
	  * Update whitelist

2011-03-29 18:17  NiLuJe

	* [r7387] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update FT snapshot
	  * Update FC snapshot
	  * USBNetwork:
	  * Update rsync
	  * X-TC:
	  * Update ft, fc & rsync.
	  * Let's try again to build FT without -fno-strict-aliasing, and see if
	  it breaks :P

2011-03-23 01:19  NiLuJe

	* [r7379] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-03-23 01:08  NiLuJe

	* [r7377] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-03-23 01:08  NiLuJe

	* [r7376] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Fix the dos2unix sed script to work with busybox's crappy sed
	  implementation
	  * Fonts & ScreenSavers:
	  * Update whitelist
	  * USBNetwork:
	  * Do a dos2unix run on the config file before source'ing it

2011-03-07 21:15  NiLuJe

	* [r7362] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL
	  * Update MR Thread

2011-03-07 20:31  NiLuJe

	* [r7361] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v4.4.N
	  * ScreenSavers:
	  * Tag v0.20.N

2011-03-07 20:18  NiLuJe

	* [r7359] src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update light ft lib (fix garbled output in some popups & address
	  bars)

2011-03-07 15:18  NiLuJe

	* [r7358] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update ft libs (FT update, smooth rendering hotfix)
	  * X-TC:
	  * Bump FT snapshot.

2011-03-06 18:14  NiLuJe

	* [r7356] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update ft libs (Update FT snapshot. Enable autofit warper in light
	  build)

2011-03-06 03:19  NiLuJe

	* [r7353] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Use the full whitelist in the fallback whitelist
	  (because we don't install the jailbreak's whitelist on FW 2.x)

2011-03-01 15:12  NiLuJe

	* [r7328] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-03-01 15:09  NiLuJe

	* [r7327] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts & USBNetwork:
	  * Use a more robust method when verifying checksums to detect custom
	  content during install

2011-03-01 14:52  NiLuJe

	* [r7326] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Update whitelist (with Sir Alex requests)
	  * Made the install process custom config checksum tests way more
	  robust.
	  * Fonts & ScreenSavers:
	  * Use a smaller fallback whitelist

2011-03-01 14:02  NiLuJe

	* [r7325] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-02-28 19:37  NiLuJe

	* [r7321] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-02-28 19:37  NiLuJe

	* [r7320] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Oops, forgot to update the checksums in the install script after the
	  whitelist update.
	  * Fonts/ScreenSavers:
	  * Update fallback whitelist.

2011-02-28 16:11  NiLuJe

	* [r7319] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-02-28 15:41  NiLuJe

	* [r7317] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-02-28 15:41  NiLuJe

	* [r7316] src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Rebuild FreeType with commit
	  ff8095077ce454246edb93c5bc672edb2b2c8f25 reverted.
	  It's supposed to make FT fallback to autohint if the font doesn't
	  contain any bytecode
	  instructions, but on my Kindle, I'm seeing fonts *with* bytecode instr
	  triggering this fallback.
	  That effectively breaks the 'bci' setting, so revert this for now.
	  * X-TC:
	  * Revert commit ff8095077ce454246edb93c5bc672edb2b2c8f25 for FreeType

2011-02-28 14:48  NiLuJe

	* [r7315] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-02-28 14:47  NiLuJe

	* [r7314] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Fix whitelist parsing... The Kindle's shell doesn't play nice
	  with unquoted wildcard matches in a test, so use a case switch
	  instead.
	  * Fonts & SCreenSavers:
	  * Fix the update trap tests. (Same issue as the jailbreak).

2011-02-27 20:09  NiLuJe

	* [r7313] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-02-27 19:31  NiLuJe

	* [r7312] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v4.3.N
	  * ScreenSavers:
	  * Tag v0.19.N
	  * USBNetwork:
	  * Tag v0.31.N
	  * Update MR Thread

2011-02-27 19:18  NiLuJe

	* [r7311] src/linkfonts/bin/fc-scan,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update FreeType libs
	  * Update fc-scan
	  * ScreenSavers:
	  * Update sort
	  * USBNetwork:
	  * Update sftp-server
	  * Update dropbear
	  * Update htop
	  * Update busybox
	  * Update rsync
	  * X-TC:
	  * Update to use the latest versions of a whole bunch of stuff ;)

2011-02-27 16:59  NiLuJe

	* [r7309] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Rely on the new jailbreak's hack whitelist for the official update
	  file traps

2010-11-20 00:29  NiLuJe

	* [r7240] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-20 00:28  NiLuJe

	* [r7238] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-19 22:46  NiLuJe

	* [r7236] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-19 22:27  NiLuJe

	* [r7235] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Fix the dprecated 'env' file removal

2010-11-19 22:26  NiLuJe

	* [r7234] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Fix browser workaround mount check

2010-11-19 22:17  NiLuJe

	* [r7233] src/install.sh, src/linkfonts/etc/env[DEL]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Ditch the now useless env raw copy we added in v4.1.N

2010-11-19 22:13  NiLuJe

	* [r7232] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * We're not using the backup env file anymore,
	  we don't really care if it's buggy anymore ;).

2010-11-19 22:09  NiLuJe

	* [r7230] src/install.sh, src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/unlinkfonts, src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Oookay. Properly fix the whole browser workaround mess
	  in a slightly cleaner way, with no need for a rw rootfs.

2010-11-19 18:41  NiLuJe

	* [r7227] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Fix autoreboot when Fonts hack is not installed... Damn typo.
	  Thanks to lovesangelrn on KB for catching this ;).

2010-11-19 06:57  NiLuJe

	* [r7226] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Braindump for tomorrow...

2010-11-19 04:52  NiLuJe

	* [r7223] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Yeah, no, we really do need to switch to rw... :/

2010-11-19 04:07  NiLuJe

	* [r7222] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Don't restore empty file for the browser workaround.

2010-11-19 03:49  NiLuJe

	* [r7221] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Move the logmsg a bit

2010-11-19 03:48  NiLuJe

	* [r7220] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Apparently, we're not always in a rw rootfs state when the
	  stop script runs, so make sure we are to do our cleanup.

2010-11-19 03:26  NiLuJe

	* [r7219] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Use cp -f

2010-11-19 03:20  NiLuJe

	* [r7218] src/install.sh, src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/unlinkfonts, src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * And *really* fix that mess...

2010-11-19 02:52  NiLuJe

	* [r7217] src/install.sh, src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/unlinkfonts, src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Fix the horrible breakage, part I.

2010-11-19 02:03  NiLuJe

	* [r7216] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-19 02:03  NiLuJe

	* [r7215] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v4.2.N

2010-11-19 02:01  NiLuJe

	* [r7214] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-19 02:00  NiLuJe

	* [r7213] src/linkfonts/bin/linkfonts,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so,
	  src/linkfonts/lib/light/libfreetype.so:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update FT libs (updated ft)

2010-11-19 01:50  NiLuJe

	* [r7211] src/install.sh, src/linkfonts-init,
	  src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts,
	  src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Actually, just run everything earlier, that's way less stupid.

2010-11-18 23:44  NiLuJe

	* [r7210] src/install.sh, src/linkfonts-init,
	  src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts,
	  src/linkfonts/etc/env[ADD], src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Onyl apply the FW 3.x borwser+FT override workaround when
	  we're actually using an FT override.

2010-11-16 04:46  NiLuJe

	* [r7196] ChangeLog:
	  
	  Kindle Hacks:
	  * Udate MR Thread
	  * Update ChangeLogs

2010-11-16 04:21  NiLuJe

	* [r7193] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Tag v0.17.N
	  * Fonts:
	  * Tag v4.1.N

2010-11-16 04:17  NiLuJe

	* [r7192] src/install.sh, src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Workaround broken K3 browser when using an FT override

2010-11-16 02:45  NiLuJe

	* [r7190] src/linkfonts/bin/linkfonts,
	  src/linkfonts/lib/autohint/libfreetype.so,
	  src/linkfonts/lib/bci/libfreetype.so, src/linkfonts/lib/light[ADD],
	  src/linkfonts/lib/light/libfreetype.so[ADD]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Support FT's light hinting, too.

2010-11-15 05:50  NiLuJe

	* [r7183] README:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Fix README, the FT libs have been renamed.

2010-11-11 08:03  NiLuJe

	* [r7159] src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Drop another redundant -d test

2010-11-11 07:33  NiLuJe

	* [r7158] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-11 04:54  NiLuJe

	* [r7156] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-11 04:25  NiLuJe

	* [r7154] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-11 02:19  NiLuJe

	* [r7148] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-11-11 02:15  NiLuJe

	* [r7147] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts,
	  src/linkfonts/lib/autohint/libfreetype.so[CPY],
	  src/linkfonts/lib/autohint/libfreetype.so.6.6.1[DEL],
	  src/linkfonts/lib/bci/libfreetype.so[CPY],
	  src/linkfonts/lib/bci/libfreetype.so.6.6.1[DEL]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Implement the FT autohint/bci override :).
	  * Rename FT libs to make maintenance easier

2010-11-11 01:54  NiLuJe

	* [r7146] src/linkfonts/bin/fc-scan,
	  src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Go back to a slightly more statically compiled fc-scan binary.
	  Apparently, there really is a weird ABI mimsatch causing semi-random
	  segfaults.
	  * Fix fontconfig config file generation to properly avoid multiple
	  entries for the
	  same family.
	  (Using sort was a bad idea, because, well, it sorts. And we don't want
	  that)

2010-11-11 00:17  NiLuJe

	* [r7145] src/linkfonts/bin/update-fontconfig,
	  src/linkfonts/lib/k2[DEL]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Make sure fontconfig's cache directory exists before
	  trying to create our own custom cache, because if it's not,
	  our test craps out, and fc-cache would create its cache
	  in ~/.fontconfig, which isn't what we want.

2010-11-10 23:55  NiLuJe

	* [r7144] src/linkfonts/lib/autohint[CPY], src/linkfonts/lib/bci[CPY],
	  src/linkfonts/lib/k2/autohint[DEL], src/linkfonts/lib/k2/bci[DEL],
	  src/linkfonts/lib/k3[DEL]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Move FT libs around again. Turns out, even on FW 3.x,
	  we need FT_CONFIG_OPTION_OLD_INTERNALS.
	  So that saves us a bit of space, yay' :).

2010-11-10 22:31  NiLuJe

	* [r7142] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts & SS:
	  * Oops, fix USB watchdog. Of course, shlock needs a non-vfat
	  target to create its lockfile.

2010-11-10 21:59  NiLuJe

	* [r7140] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs
	  * Update MR Thread, in preparation of release.

2010-11-10 21:24  NiLuJe

	* [r7137] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Do a proper check of /proc/mounts to avoid double-mounts, instead
	  of relying on slightly innacurate file checks.

2010-11-10 21:09  NiLuJe

	* [r7136] src/linkfonts/lib/k2/bci/libfreetype.so.6.6.1[ADD],
	  src/linkfonts/lib/k3/autohint[ADD],
	  src/linkfonts/lib/k3/autohint/libfreetype.so.6.6.1[ADD],
	  src/linkfonts/lib/k3/bci[ADD],
	  src/linkfonts/lib/k3/bci/libfreetype.so.6.6.1[ADD]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Add the rest of our autohint/bci k2/k3 ft libs

2010-11-10 20:51  NiLuJe

	* [r7135] src/linkfonts/lib/autohint[DEL], src/linkfonts/lib/bci[DEL],
	  src/linkfonts/lib/k2[ADD], src/linkfonts/lib/k2/autohint[CPY],
	  src/linkfonts/lib/k2/bci[CPY], src/linkfonts/lib/k3[ADD]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Move FT libs around...

2010-11-10 04:02  NiLuJe

	* [r7130] src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Avoid multiple entries for the same family when generating
	  fontconfig's config.

2010-11-09 21:45  NiLuJe

	* [r7125] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Make sure the shlock binary is exec'able.

2010-11-09 21:40  NiLuJe

	* [r7124] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts,
	  src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts, SS & USBNet:
	  * Simplify all the redundants if $? -eq 0 tests.
	  That's what an if block already does, tests if the
	  exit status of a list of commands is equal to 0, so there's
	  no need to explicitely re-state that ourselves.
	  Only keep it in the install scripts when there's a subshell involved,
	  because I'm not so sure about the subshell thingy as a test condition
	  ;).

2010-11-09 21:32  NiLuJe

	* [r7123] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Use shlock in the USB watchdog for a proper locking mechanism to
	  avoid
	  multiple concurrent reboots.

2010-11-09 21:15  NiLuJe

	* [r7122] README, src/linkfonts/bin/shlock[ADD]:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Add an shlock binary (util from the DragonFy BSD project),
	  in order to use it to provide a somewhat proper locking mechanism
	  for the USB watchdog.

2010-11-07 17:35  NiLuJe

	* [r7113] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Don't trap Duokan update files.

2010-11-07 12:59  NiLuJe

	* [r7110] src/linkfonts/lib/autohint/libfreetype.so.6.6.1:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Strip FT libs, to save a bit of space.

2010-11-07 03:22  NiLuJe

	* [r7101] src/linkfonts/lib/autohint/libfreetype.so.6.6.1[ADD]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Ah. Foiled by SVN.

2010-11-07 03:21  NiLuJe

	* [r7100] README, src/linkfonts/lib[ADD],
	  src/linkfonts/lib/autohint[ADD], src/linkfonts/lib/bci[ADD]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Add a binary snapshot of the freetype library (2.4.3_p20101104),
	  that forces the usage of FT's autohinter.
	  You'll be able to use it instead of the Kindle's default FT lib
	  (Once I implement it in the scripts :P)

2010-11-07 00:44  NiLuJe

	* [r7098] src/linkfonts/bin/fc-scan:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update fc-scan binary (Updated TC, FT, FC & half-shared linked)
	  * ScreenSavers:
	  * Update sort binary (Updated TC, Coreutils)
	  * USBNetwork:
	  * Updated all the binaries (Updated TC)
	  * The busybox binary now supports the httpd applet.

2010-10-25 21:51  NiLuJe

	* [r7048] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-25 20:53  NiLuJe

	* [r7046] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-19 20:51  NiLuJe

	* [r7003] ChangeLog:
	  
	  Kindle Hacks:
	  * Update MR Thread for jb release.

2010-10-19 04:06  NiLuJe

	* [r7002] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-18 21:45  NiLuJe

	* [r6996] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-18 20:33  NiLuJe

	* [r6993] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-18 20:31  NiLuJe

	* [r6991] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-18 05:00  NiLuJe

	* [r6987] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-09 21:24  NiLuJe

	* [r6956] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-05 02:31  NiLuJe

	* [r6945] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fots & SS:
	  * Don't backup font_pkg updates

2010-10-04 23:42  NiLuJe

	* [r6944] src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Still, leave the 4.0 tag.

2010-10-04 23:41  NiLuJe

	* [r6943] src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * And, just in case I ever get a crazy idea like this:
	  appendedfontpath doesn't work. (Or at best it doesn't
	  work for every family, but that's enough to not be useful
	  here anyway, so I didn't investigate further).
	  Somehow, it's far easier to try crazy shit like that when
	  I don't forget to switch to usbnet beforehand... -_-"

2010-10-04 23:00  NiLuJe

	* [r6941] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLog

2010-10-04 22:58  NiLuJe

	* [r6940] src/linkfonts/bin/conv.sh, src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/unlinkfonts, src/linkfonts/etc/font.properties-2,
	  src/linkfonts/etc/font.properties-3,
	  src/linkfonts/etc/font.properties-3-nocondensed,
	  src/linkfonts/etc/local.conf, src/linkfonts/etc/local.conf.template,
	  src/linkfonts/etc/netfront.ini:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Revert the whole 'use absolute path for fonts', because
	  it really, really, really doesn't work, at least on FW 2.x xD.
	  EPIC FAIL.
	  So, in case anyone's wondering, the Recovery mode is
	  still here, just Hold [HOME] during early boot (ie. before
	  the progress bar), the nice 'Factory Reset' screen appears,
	  type RESET, and then hold [HOME] again until you're in
	  recovery mode.
	  There doesn't seem to be a way to do this without the factory reset,
	  though :/.

2010-10-04 20:31  NiLuJe

	* [r6938] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-04 20:31  NiLuJe

	* [r6937] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v4.0.N

2010-10-04 20:30  NiLuJe

	* [r6936] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Quote string test

2010-10-04 20:27  NiLuJe

	* [r6935] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Don't bind mount the fonts folder itself, we use
	  abolute paths in the config files.

2010-10-04 18:47  NiLuJe

	* [r6934] src/linkfonts/bin/conv.sh,
	  src/linkfonts/etc/font.properties-2,
	  src/linkfonts/etc/font.properties-3,
	  src/linkfonts/etc/font.properties-3-nocondensed,
	  src/linkfonts/etc/local.conf, src/linkfonts/etc/local.conf.template,
	  src/linkfonts/etc/netfront.ini:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update config files to use absolute paths, in
	  preparation of the next changeset which will drop the
	  usage of a bind mount for the font directory itself.

2010-10-02 03:33  NiLuJe

	* [r6928] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-02 03:12  NiLuJe

	* [r6926] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-01 16:27  NiLuJe

	* [r6923] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-30 21:15  NiLuJe

	* [r6914] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs
	  * Packager:
	  * Package the font packager

2010-09-30 16:53  NiLuJe

	* [r6910] ChangeLog:
	  
	  Kindle Hacks:
	  * Update Cls
	  * Update MR Thread

2010-09-29 20:43  NiLuJe

	* [r6905] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-28 19:14  NiLuJe

	* [r6901] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-28 16:18  NiLuJe

	* [r6896] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-27 22:23  NiLuJe

	* [r6893] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-27 19:45  NiLuJe

	* [r6889] src/linkfonts/bin/usb-watchdog:
	  
	  Kindle Hacks:
	  * Fonts & SS
	  * Narrow down a bit the dbus-monitor watch expression for the USB
	  watchdog.

2010-09-27 18:20  NiLuJe

	* [r6888] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-26 14:49  NiLuJe

	* [r6884] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-26 01:47  NiLuJe

	* [r6879] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-25 22:41  NiLuJe

	* [r6873] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-24 00:52  NiLuJe

	* [r6855] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-24 00:48  NiLuJe

	* [r6854] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Add a note about another slightly broken test
	  in the same vein as the install script I just fixed.

2010-09-24 00:30  NiLuJe

	* [r6853] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Fix install script default custom font upgrade.
	  Nasty bug because of the Kindle's crappy shell.

2010-09-24 00:22  NiLuJe

	* [r6852] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Fix a nasty typo in a logmsg of the install script...

2010-09-24 00:11  NiLuJe

	* [r6851] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Install script forgot to remove one of the config file ;)

2010-09-23 23:17  NiLuJe

	* [r6848] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-09-23 23:16  NiLuJe

	* [r6847] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Tag Fonts v3.9.N
	  * Tag ScreenSavers v0.14.N
	  * Tag USBNet v0.13.N

2010-09-23 23:14  NiLuJe

	* [r6846] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Add a "nocondensed" trigger file to replace the
	  condensed font by Caecilia (on FW 3.x only).

2010-09-23 23:11  NiLuJe

	* [r6845] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts & Screensavers:
	  * And make the install script handle the config files migration

2010-09-23 23:03  NiLuJe

	* [r6844] src/linkfonts/bin/conv.sh,
	  src/linkfonts/bin/font.properties-2[DEL],
	  src/linkfonts/bin/font.properties-3[DEL],
	  src/linkfonts/bin/font.properties-3-nocondensed[DEL],
	  src/linkfonts/bin/fonts.conf[DEL], src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/local.conf[DEL],
	  src/linkfonts/bin/local.conf.template[DEL],
	  src/linkfonts/bin/netfront.ini[DEL],
	  src/linkfonts/bin/update-fontconfig,
	  src/linkfonts/etc/font.properties-2[CPY],
	  src/linkfonts/etc/font.properties-3[CPY],
	  src/linkfonts/etc/font.properties-3-nocondensed[CPY],
	  src/linkfonts/etc/fonts.conf[CPY], src/linkfonts/etc/local.conf[CPY],
	  src/linkfonts/etc/local.conf.template[CPY],
	  src/linkfonts/etc/netfront.ini[CPY]:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Move prettyversion.txt to etc
	  * Fonts:
	  * Move all the config files to etc

2010-09-23 22:54  NiLuJe

	* [r6843] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts,
	  src/linkfonts/bin/usb-watchdog, src/linkfonts/bin/usb-watchdog-helper,
	  src/linkfonts/etc[ADD], src/linkfonts/run[ADD]:
	  
	  Kindle Hacks:
	  * Fonts & SS:
	  * Move pid & lockfiles to the run folder

2010-09-23 22:38  NiLuJe

	* [r6842] src/linkfonts/bin/fc-scan:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Restore statically linked fc-scan. The Kindle's
	  fontconfig lib isn't complete/recent enough for us.

2010-09-23 21:39  NiLuJe

	* [r6838] src/linkfonts/bin/fc-scan:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Compile fc-scan dynamically (save ~600ko per model)
	  * ScreenSavers:
	  * Compile sort dynamically (save ~650ko per model)
	  * x-compile:
	  * Rebuild FT/FC & coreutils dynamically :).

2010-09-23 17:43  NiLuJe

	* [r6835] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Fix handling of default custom fonts update in the install

2010-09-23 16:06  NiLuJe

	* [r6834] README, src/install.sh, src/linkfonts/fonts/CJK.ttf:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update CJK.ttf (Droid Fallback)
	  * The install script now handle updates of default custom fonts,
	  and won't assume the old one is a custom font, and thus prevent
	  it from being updated.

2010-09-23 15:09  NiLuJe

	* [r6833] README[ADD]:
	  
	  Kindle Hacks:
	  * README

2010-09-22 18:22  NiLuJe

	* [r6830] src/linkfonts/bin/font.properties-3-nocondensed[CPY]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Add an alternative K3 font.properties that uses the default
	  Caecilia Serif instead of Condensed Caecilia as the condensed font.

2010-09-21 23:56  NiLuJe

	* [r6826] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-21 23:55  NiLuJe

	* [r6825] src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Remove our out of userstore custom fontconfig cache directory on
	  uninstall

2010-09-21 23:32  NiLuJe

	* [r6822] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-21 23:17  NiLuJe

	* [r6820] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Nope, looks like we don't need to restart browserd!

2010-09-21 23:11  NiLuJe

	* [r6819] src/linkfonts/bin/usb-watchdog-helper,
	  src/linkfonts/nobrowser[ADD]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Enable nobrowser mode by default, because it takes nearly
	  5 minutes to rebuild FontConfig's cache...

2010-09-21 22:58  NiLuJe

	* [r6818] src/linkfonts/cache[DEL]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Drop the now orphaned cache directory

2010-09-21 22:55  NiLuJe

	* [r6817] src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * And fix broken tabs in tweaked local.conf

2010-09-21 22:53  NiLuJe

	* [r6816] src/linkfonts/bin/fonts.conf, src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Fix fc-cache update. Apparently, it doesn't like vfat.

2010-09-21 22:36  NiLuJe

	* [r6815] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Yeah, it takes a crapload of time to regen fontconfig's
	  cache. I'll probably end up disabling this by default.

2010-09-21 22:10  NiLuJe

	* [r6814] src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tweak local.conf before mounting it, to avoid mount getting lost
	  * Fix fc-cache syntax. It's still broken though.
	  * Update MR thread

2010-09-21 20:38  NiLuJe

	* [r6812] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-21 20:37  NiLuJe

	* [r6810] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Fix a few harmless typos.

2010-09-21 20:04  NiLuJe

	* [r6809] src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Fix custom fc-cache detection

2010-09-21 18:17  NiLuJe

	* [r6806] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-21 17:03  NiLuJe

	* [r6803] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * The install scripts now handles the new K3 fonts. :)
	  * And fix a few of the default custom fonts md5sums while we're there
	  ;)

2010-09-21 16:36  NiLuJe

	* [r6802] src/build-updates.sh, src/kindle_update_tool.py,
	  src/linkfonts/bin/linkfonts, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * TestUpdate:
	  * Update to support the new K3 only features of the Fonts hack
	  * Fonts:
	  * And fix more firmware-specific code paths.
	  * Package for the K3
	  * Tag v3.8.N

2010-09-21 16:16  NiLuJe

	* [r6801] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts,
	  src/linkfonts/bin/update-fontconfig,
	  src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts:
	  * More FW specific code paths...
	  * And fix a whole bunch of stupid typos in fontconfig update while
	  we're at it.

2010-09-21 15:34  NiLuJe

	* [r6800] ChangeLog:
	  
	  Kindle Hacks:
	  * Update Cls.
	  * Update MR Thread.

2010-09-21 12:14  NiLuJe

	* [r6793] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Properly and truly randomize the screensavers when asked to.
	  (Using coreutils' sort instead of a crappy inacurate shell workaround)
	  * Tag v0.12.N

2010-09-20 20:41  NiLuJe

	* [r6791] src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/update-fontconfig,
	  src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Begin implementing the FW specific code paths...

2010-09-20 19:54  NiLuJe

	* [r6790] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * More TODO

2010-09-20 18:58  NiLuJe

	* [r6789] src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Don't update fontconfig config & cache if we don't need to

2010-09-20 18:33  NiLuJe

	* [r6788] src/linkfonts/bin/update-fontconfig:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Fix fc-scan formatting to make sed happy regarding tabs & newlines

2010-09-20 17:55  NiLuJe

	* [r6787] src/linkfonts/bin/fonts.conf,
	  src/linkfonts/bin/local.conf[ADD],
	  src/linkfonts/bin/update-fontconfig[ADD], src/linkfonts/cache[ADD]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * First shot at the fontconfig update helper script

2010-09-20 17:39  NiLuJe

	* [r6786] src/linkfonts/bin/conv.sh,
	  src/linkfonts/bin/font.properties-3,
	  src/linkfonts/bin/local.conf[DEL],
	  src/linkfonts/bin/local.conf.template[CPY],
	  src/linkfonts/fonts/CJK.ttf[ADD], src/linkfonts/fonts/I18N.ttf[ADD]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Use a templated local.conf file
	  * Fix FW 3.x font settings.
	  Not so sure about the I18N/CJK handling...

2010-09-20 16:15  NiLuJe

	* [r6785] src/linkfonts/bin/fc-scan[ADD],
	  src/linkfonts/bin/font.properties-3[ADD],
	  src/linkfonts/bin/fonts.conf[ADD], src/linkfonts/bin/local.conf[ADD]:
	  
	  

2010-09-20 16:11  NiLuJe

	* [r6784] src/build-updates.sh, src/linkfonts/bin/font.properties[DEL],
	  src/linkfonts/bin/font.properties-2[CPY]:
	  
	  

2010-09-20 15:27  NiLuJe

	* [r6781] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * And... more TODO! :D

2010-09-19 23:39  NiLuJe

	* [r6777] ChangeLog:
	  
	  Kindle Hacks:
	  * Update MR thread
	  * Update CLs

2010-09-19 14:58  NiLuJe

	* [r6775] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * More TODO

2010-09-19 10:20  NiLuJe

	* [r6773] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * More K3 TODO/Ideas

2010-09-19 01:05  NiLuJe

	* [r6772] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * More notes about fontconfig...

2010-09-19 01:00  NiLuJe

	* [r6771] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Initial K3 support TODO list. I usually love FontConfig,
	  but that thing might make me hate it... :D

2010-09-18 23:57  NiLuJe

	* [r6768] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-18 21:16  NiLuJe

	* [r6766] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-18 21:07  NiLuJe

	* [r6764] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-08-30 00:45  NiLuJe

	* [r6685] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-08-30 00:43  NiLuJe

	* [r6683] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Use variables instead of having to repeat the name of the hack
	  multiple times

2010-08-30 00:25  NiLuJe

	* [r6681] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * And fix a typo in an unreachable log msg ;).

2010-08-30 00:24  NiLuJe

	* [r6680] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Oops, fix a stupid typo in the install script (thankfully, it's in
	  an unreachable block of code, so it shouldn't cause anny issue ;))

2010-08-26 01:31  NiLuJe

	* [r6672] src/linkfonts/fonts/Mono_Bold.ttf,
	  src/linkfonts/fonts/Mono_BoldItalic.ttf,
	  src/linkfonts/fonts/Mono_Italic.ttf,
	  src/linkfonts/fonts/Mono_Regular.ttf,
	  src/linkfonts/fonts/Sans_BoldItalic.ttf,
	  src/linkfonts/fonts/Sans_Italic.ttf:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Bump DejaVu fonts to v2.32

2010-08-11 03:22  NiLuJe

	* [r6633] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-08-11 03:20  NiLuJe

	* [r6632] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Remove our copy of the original fonts when updating the hack, just
	  in case they've been updated by an official update. (That was the
	  case with the 2.5 update, which added the 'in collection' checkmark
	  to the Symbol fonts). The hack will grab the latest copy from the
	  live system FS on the next run anyway ;). That'll make sure we don't
	  stay with an outdated copy of the symbol fonts.

2010-08-10 22:38  NiLuJe

	* [r6631] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-08-10 21:32  NiLuJe

	* [r6629] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-08-10 21:28  NiLuJe

	* [r6627] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-08-10 21:19  NiLuJe

	* [r6624] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-08-07 03:54  NiLuJe

	* [r6615] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-08-07 03:49  NiLuJe

	* [r6613] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-08-07 03:47  NiLuJe

	* [r6612] src/install.sh:
	  
	  Kindle Hacks:
	  * USBNetwork:
	  * And fix custom directory install here too.
	  * Fonts/SS:
	  * And, no, we don't need to wrap the exclude list var inside an echo.
	  I really need to sleep. -_-"

2010-08-07 03:35  NiLuJe

	* [r6611] src/build-updates.sh, src/install.sh:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Huh. Fix install custom content filtering.
	  * Fonts:
	  * Like SS, fix custom directory install.

2010-08-07 01:58  NiLuJe

	* [r6608] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-08-07 01:55  NiLuJe

	* [r6606] src/build-updates.sh, src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Don't package default fonts. And copy them
	  from the root FS on the first run of the hack.

2010-08-06 23:23  NiLuJe

	* [r6602] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-08-06 23:17  NiLuJe

	* [r6599] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts & SS:
	  * Forgot to specify log level in the skip trap message

2010-08-06 21:42  NiLuJe

	* [r6594] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Tag SS v0.10.N & Fonts v3.7.N

2010-08-06 21:40  NiLuJe

	* [r6593] src/build-updates.sh, src/install.sh, src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Like the SS hack, package & install the linkfonts
	  directly from the update binfile. And preserve custom
	  fonts when updating.
	  * And add system logging to install/uninstall

2010-08-06 21:00  NiLuJe

	* [r6592] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * SS & Fonts:
	  * Don't trap the update files of our own hacks

2010-07-28 21:28  NiLuJe

	* [r6576] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-07-28 21:23  NiLuJe

	* [r6574] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-20 20:28  NiLuJe

	* [r6563] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-20 20:28  NiLuJe

	* [r6562] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Tag v0.9.N & v3.6.N

2010-07-20 20:12  NiLuJe

	* [r6561] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-20 20:12  NiLuJe

	* [r6560] ChangeLog, src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts & SS:
	  * *sigh* Trap official updates too. (case issue)

2010-07-20 00:18  NiLuJe

	* [r6554] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-19 23:19  NiLuJe

	* [r6552] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLog

2010-07-19 22:50  NiLuJe

	* [r6550] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-19 22:50  NiLuJe

	* [r6549] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Bump ScreenSavers to 0.8.N
	  * Bump Fonts to 3.5.N

2010-07-19 22:45  NiLuJe

	* [r6548] src/linkfonts-init, src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Like the fonts hack, use the system logger.

2010-07-19 22:32  NiLuJe

	* [r6547] src/linkfonts-init, src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/unlinkfonts, src/linkfonts/bin/usb-watchdog,
	  src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Log our output using the system's logger, instead of outputing
	  to a stdout 99.99% of users won't ever see.

2010-07-19 21:52  NiLuJe

	* [r6546] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Kill on stop with a SIGKILL, and not a SIGTERM.
	  We take care of cleanup ourselves anyway, so, better be safe,
	  and really kill, than having stale processes.

2010-07-19 21:39  NiLuJe

	* [r6543] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Avoid a bunch of fork/ls output parsing by using shell globbing
	  instead

2010-07-19 20:05  NiLuJe

	* [r6540] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Check that we also have the two default symbol fonts
	  before applying the hack to avoid issues.

2010-07-19 19:57  NiLuJe

	* [r6539] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Use SIGTERM instead of SIGKILL, it should be enough.
	  * Update TODO

2010-07-19 19:53  NiLuJe

	* [r6538] src/linkfonts/bin/testfonts[DEL],
	  src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Properly quote path wich may contain spaces or special characters.
	  Fix randomization if your screensavers filenames had spaces in them.

2010-07-18 04:52  NiLuJe

	* [r6530] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-12 04:39  NiLuJe

	* [r6520] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-11 22:51  NiLuJe

	* [r6516] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-11 22:50  NiLuJe

	* [r6515] src/build-updates.sh, src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Bump ScreenSavers to v0.7.N
	  * Bump Fonts to v3.4.N

2010-07-11 22:33  NiLuJe

	* [r6514] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fix /etc/prettyversion unmounting. We can't use the source
	  of the mount for umount, because the Kindle uses a weird Fuse
	  plugin... Anyway, must use the target of the mount point.
	  And apparently, the Kindle's umount doesn't whine whith
	  double mounts, so it's safe ;)
	  That effectively made the hacks non update-safe if you had
	  a prettyversion.txt override...

2010-07-11 21:36  NiLuJe

	* [r6509] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fix another typo in a comment

2010-07-11 21:20  NiLuJe

	* [r6507] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts: Fix typo in a comment

2010-07-11 20:23  NiLuJe

	* [r6506] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Finishing touches of the handling of the watchdog start/stop

2010-07-11 20:02  NiLuJe

	* [r6505] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts,
	  src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kinde Hacks:
	  * Fonts:
	  * Clear up the mess to avoid at all costs having more than one
	  watchodg running,
	  and consequently launching more than one restart of the framework in
	  parallel.
	  (That doesn't work by the way :D The Kindle will eventually resolve
	  the issue
	  by doing a full reboot, but since it's potentially our fault, let's
	  avoid this!)

2010-07-11 18:15  NiLuJe

	* [r6501] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts:
	  * I'm not particularly fond of while loops

2010-07-11 18:08  NiLuJe

	* [r6500] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts:
	  * More redundant locking in the watchodg...

2010-07-11 16:05  NiLuJe

	* [r6499] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Update TODO

2010-07-11 03:05  NiLuJe

	* [r6497] src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Another approach to avoid usbPlugOut race conditions...

2010-07-11 02:16  NiLuJe

	* [r6496] src/linkfonts/bin/usb-watchdog,
	  src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kinde Hacks:
	  * Fonts:
	  * Try to avoid double fw restarts when the usPlugOut even goes crazy

2010-07-09 18:15  NiLuJe

	* [r6482] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-09 15:46  NiLuJe

	* [r6480] src/kindle_update_tool.py:
	  
	  Kindle Hacks:
	  * Yep. KDX Graphite support works.

2010-07-09 04:31  NiLuJe

	* [r6479] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-09 04:31  NiLuJe

	* [r6478] src/kindle_update_tool.py:
	  
	  Kindle Hacks:
	  * DXg support... Take three.

2010-07-08 22:14  NiLuJe

	* [r6477] src/kindle_update_tool.py:
	  
	  Kindle Hacks:
	  * DXG support, take two. (probably won't work either).

2010-07-08 20:05  NiLuJe

	* [r6475] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-08 20:04  NiLuJe

	* [r6474] src/build-updates.sh, src/kindle_update_tool.py:
	  
	  Kindle Hacks:
	  * Add Kindle DX Graphite support (And hopefully actually working...
	  ^^)

2010-07-05 03:32  NiLuJe

	* [r6463] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLog

2010-07-05 03:29  NiLuJe

	* [r6462] src/linkfonts/info.txt:
	  
	  Kindle Hacks:
	  * Update version tag in the info.txt file

2010-07-05 02:49  NiLuJe

	* [r6460] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs for the quick fix releases (v3.3.N & v0.6.N).
	  Forgot to zero-pad the kill init level var. *sigh*

2010-07-05 02:23  NiLuJe

	* [r6459] src/build-updates.sh, src/install.sh, src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Fonts & SS:
	  * Oops. Fix the update-safe & update trap feature.

2010-07-04 23:09  NiLuJe

	* [r6457] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-04 17:27  NiLuJe

	* [r6452] src/build-updates.sh, src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Bump to 3.2.N
	  * Use the correct mask for update trapping
	  * ScreenSavers:
	  * Bump to 0.5.N
	  * Use the correct mask for update trapping

2010-07-04 01:33  NiLuJe

	* [r6444] src/linkfonts/autoreboot[ADD]:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Enable autoreboot usb watchdog by default

2010-07-03 22:29  NiLuJe

	* [r6442] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Quote a var for a string test

2010-07-03 22:20  NiLuJe

	* [r6440] src/install.sh, src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update install & uninstall script. Should be ready
	  for release after a round of testing :).

2010-07-03 21:25  NiLuJe

	* [r6439] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Slightly more accurate comment regarding the crash-safe
	  anti-double mounts

2010-07-03 21:24  NiLuJe

	* [r6438] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Also handle crashes for the bind mounts

2010-07-03 21:18  NiLuJe

	* [r6437] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-07-03 21:17  NiLuJe

	* [r6436] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * SS:
	  * Avoid possible error with empty string in a compound test
	  * Fonts:
	  * Trust the return status instead of the stdout of kill
	  * Avoid possible error with empty string in a compound test

2010-07-03 21:07  NiLuJe

	* [r6435] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Be a bit more paranoid when checking if we've already got
	  a running watchodg when recovering from a crash.

2010-07-03 20:57  NiLuJe

	* [r6434] src/linkfonts/bin/linkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * I'm a bit torn on the subject of possible false-positives
	  when checking only if a pid is alive in the crash-safe handling
	  of the usb-watchdog... With extreme bad luck, a stale pid could
	  point to another process entierely...

2010-07-03 20:38  NiLuJe

	* [r6433] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Handle leftover pid file from a crash when starting the usb watchdog

2010-07-03 20:13  NiLuJe

	* [r6431] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Don't check for the usual triggers & stuff existing when stopping,
	  just for our mount state file & watchdog pid file. We might
	  have removed the rest before shutdown, but we still have stuff
	  to unmount/kill.

2010-07-02 01:57  NiLuJe

	* [r6421] src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Oops. Fix update file trap. basename ftw.

2010-07-02 01:46  NiLuJe

	* [r6420] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts:
	  
	  Kindle Hacks:
	  * Redirect error output of forked process to dev/null (ls)
	  * Fonts:
	  * Trap update files on shutdown (so we can take a look
	  at official OTA updates later without fuss)

2010-07-02 01:24  NiLuJe

	* [r6419] src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts,
	  src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Reboot only the framework on usb unplug
	  * Don't check the fonts/ folder on shutdown, we may have fixed
	  them since start, and besides, we've got a much more accurate
	  way of knowing if the hack actually was applied (the mounted state
	  file)
	  * In the same vein, use a mounted state file for the prettyversion
	  bind.
	  * Unmount the prettyversion using the userstore side of things, in
	  order to
	  unmount the right file in the right order when we have two bind mounts
	  of
	  the same file (ie. clash with the screensavers hack)

2010-07-01 18:36  NiLuJe

	* [r6418] ChangeLog:
	  
	  Kindle Hacks:
	  * Tweak ChangeLog gen

2010-07-01 18:33  NiLuJe

	* [r6417] ChangeLog[ADD]:
	  
	  Kindle Hacks:
	  * Add a full ChangeLog :)

2010-07-01 18:20  NiLuJe

	* [r6416] src/build-updates.sh, src/install.sh, src/linkfonts-init,
	  src/linkfonts/bin/conv.sh, src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/unlinkfonts, src/linkfonts/bin/usb-watchdog,
	  src/linkfonts/bin/usb-watchdog-helper, src/linkfonts/info.txt[ADD],
	  src/uninstall.sh, update_fonts_3.1.N_k2i_install.bin[DEL],
	  update_fonts_3.1.N_k2i_uninstall.bin[DEL]:
	  
	  Kindle:
	  * Hacks:
	  * Add info.txt file for Fonts & SS hacks to their respective
	  custom folder, with a link to the MR posts.
	  * Add Id svn keywords to each custom shell scripts

2010-07-01 18:07  NiLuJe

	* [r6415] src/build-updates.sh, src/linkfonts/bin/usb-watchdog-helper:
	  
	  Kindle:
	  * Make zip from a SVN checkout to avoid issue like with the first
	  release...
	  * Use dx/dxi instead of k3/k3i to avoid confusion with the new DX
	  graphite and
	  the probably upcoming 'real' k3.
	  * Fonts:
	  * USB Watchdog:
	  * Sleep for 10 seconds to let everything settle (and give us a
	  chance to do a physical reset if things go wrong)

2010-06-24 02:16  NiLuJe

	* [r6410] src/linkfonts-init, src/linkfonts/bin/linkfonts,
	  src/linkfonts/bin/unlinkfonts:
	  
	  Kindle:
	  * Fonts:
	  * Properly handle stopping the hack on shutdown after we've
	  just removed the trigger file

2010-06-24 02:09  NiLuJe

	* [r6409] src/build-updates.sh, src/linkfonts-init,
	  src/linkfonts/bin/linkfonts, src/linkfonts/bin/unlinkfonts[ADD],
	  src/linkfonts/bin/usb-watchdog[ADD],
	  src/linkfonts/bin/usb-watchdog-helper[ADD]:
	  
	  Kindle:
	  * Fonts:
	  * First quick implementation of the usb-wtachdog to provide
	  an auto-reboot feature on usb unplug. Credits goes to
	  https://redmine.kukyakya.pe.kr/projects/customfont/wiki/Customfont
	  for the idea & original implementation.
	  Untested yet.

2010-06-23 00:02  NiLuJe

	* [r6408] src/linkfonts/bin/linkfonts:
	  
	  Kindle:
	  * Fonts & SS:
	  * Ditch tabs

2010-06-22 22:45  NiLuJe

	* [r6406] src/linkfonts/bin/linkfonts:
	  
	  Kindle:
	  * Fonts:
	  * Oops, single-bracket tests construct.

2010-06-22 22:41  NiLuJe

	* [r6405] src/linkfonts/bin/linkfonts:
	  
	  Kindle:
	  * Fonts:
	  * Add a safety check to avoid overriding the default fonts if
	  we're missing some crucial ones.

2010-06-22 22:12  NiLuJe

	* [r6404] update_fonts_3.1.N_k2i_install.bin,
	  update_fonts_3.1.N_k2i_uninstall.bin:
	  
	  Kindle:
	  * Refresh SS & Fonts bin

2010-06-22 18:05  NiLuJe

	* [r6403] src/linkfonts/fonts/Sans_BoldItalic.ttf:
	  
	  Kindle:
	  * Fonts:
	  * Use DejaVu Sans Condensed Bold Oblique instead of Sans Bold Oblique

2010-06-22 17:22  NiLuJe

	* [r6402] src/linkfonts/fonts/Mono_Bold.ttf,
	  src/linkfonts/fonts/Mono_BoldItalic.ttf,
	  src/linkfonts/fonts/Mono_Italic.ttf,
	  src/linkfonts/fonts/Mono_Regular.ttf,
	  src/linkfonts/fonts/Sans_BoldItalic.ttf,
	  src/linkfonts/fonts/Sans_Italic.ttf,
	  src/linkfonts/fonts/Sans_Regular.ttf:
	  
	  Kindle:
	  * Fonts:
	  * Use DejaVu (2.31) instead of liberation fonts. And resync Droid with
	  upstream.

2010-06-22 17:11  NiLuJe

	* [r6401] src/linkfonts/bin/netfront.ini:
	  
	  

2010-06-22 16:53  NiLuJe

	* [r6400] src/linkfonts-init, src/linkfonts/AUTO[DEL],
	  src/linkfonts/BACKUP[DEL], src/linkfonts/auto[CPY],
	  src/linkfonts/backup[CPY], src/linkfonts/bin/linkfonts,
	  update_fonts_3.1.N_k2i_install.bin,
	  update_fonts_3.1.N_k2i_uninstall.bin:
	  
	  Kindle:
	  * Fonts & ScreenSavers:
	  * Use lowercase trigger files, to avoid issues with
	  systems mounting vfat as all-lowercase

2010-06-21 23:20  NiLuJe

	* [r6394] src/install.sh, src/linkfonts-init, src/uninstall.sh,
	  update_fonts_3.1.N_k2i_install.bin,
	  update_fonts_3.1.N_k2i_uninstall.bin:
	  
	  Kindle:
	  * Fonts & ScreenSavers:
	  * More tiny formatting cleanups

2010-06-21 23:10  NiLuJe

	* [r6392] src/install.sh, src/linkfonts-init, src/uninstall.sh,
	  update_fonts_3.1.N_k2i_install.bin,
	  update_fonts_3.1.N_k2i_uninstall.bin:
	  
	  Kindle:
	  * Fonts:
	  * Tiny formatting cleanups

2010-06-21 23:04  NiLuJe

	* [r6391] src/linkfonts/backup[DEL], src/linkfonts/backups[CPY],
	  src/linkfonts/bin/linkfonts, src/linkfonts/bin/testfonts:
	  
	  Kindle:
	  * Fonts:
	  * factorize the script a bit.
	  * Fix backups. (crappy case insensitive FAT FS, can't have
	  both a BACKUP file and a backup dir in the same place)

2010-06-20 23:52  NiLuJe

	* [r6388] .[ADD], src[ADD], src/build-updates.sh[ADD],
	  src/install.sh[ADD], src/kindle_update_tool.py[ADD],
	  src/linkfonts[ADD], src/linkfonts-init[ADD], src/linkfonts/AUTO[ADD],
	  src/linkfonts/BACKUP[ADD], src/linkfonts/backup[ADD],
	  src/linkfonts/bin[ADD], src/linkfonts/bin/conv.sh[ADD],
	  src/linkfonts/bin/font.properties[ADD],
	  src/linkfonts/bin/linkfonts[ADD], src/linkfonts/bin/netfront.ini[ADD],
	  src/linkfonts/bin/testfonts[ADD], src/linkfonts/fonts[ADD],
	  src/linkfonts/fonts/Mono_Bold.ttf[ADD],
	  src/linkfonts/fonts/Mono_BoldItalic.ttf[ADD],
	  src/linkfonts/fonts/Mono_Italic.ttf[ADD],
	  src/linkfonts/fonts/Mono_Regular.ttf[ADD],
	  src/linkfonts/fonts/Sans_Bold.ttf[ADD],
	  src/linkfonts/fonts/Sans_BoldItalic.ttf[ADD],
	  src/linkfonts/fonts/Sans_Italic.ttf[ADD],
	  src/linkfonts/fonts/Sans_Regular.ttf[ADD],
	  src/linkfonts/fonts/Serif_Bold.ttf[ADD],
	  src/linkfonts/fonts/Serif_BoldItalic.ttf[ADD],
	  src/linkfonts/fonts/Serif_Italic.ttf[ADD],
	  src/linkfonts/fonts/Serif_Regular.ttf[ADD], src/uninstall.sh[ADD],
	  update_fonts_3.1.N_k2i_install.bin[ADD],
	  update_fonts_3.1.N_k2i_uninstall.bin[ADD]:
	  
	  

